Bug 179233 - Evolution devours system memory when typing a new message for a long time
Evolution devours system memory when typing a new message for a long time
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-01-28 13:26 EST by stef
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-09 10:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description stef 2006-01-28 13:26:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Happened to me in Evolution when did a new message.

I started to type a mail, go on another application (like xchat or Firefox) to take informations for the mail, type again, go back and forth again (the mail redaction took at this point about 20 minutes) then my system goes very slow, almost impossible to use.
I just had the time to go to an open terminal to type "top" to see what happen when I saw the process Evolution skying to 86% of my 1G RAM and the hard disk swapping hard.

I killed it and the system just gone fine again. Then I restarted evolution again to finish the mail (thanks to the auto-saving) then transfer the mbox files to Thunderbird and throw Evolution to the dogs !

It happened to me before but the system gone too borked so that I couldn't do anything nor understand what happened. Now I know that Evolution is to blame.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.launch Evolution
2.create a new mail
3.start to type, then fool around with others programs, type in again, fool around  again, and so on ... (happened to me in about 20 minutes)

Actual Results:  the system start to swap heavily, memory being consumed by Evolution

Expected Results:  Evolution use only the necessary amount of memory for its own working

Additional info:

yum upgrade done on system => evolution-2.2.3-2.fc4
Comment 1 Paul Howarth 2006-06-02 13:38:28 EDT
I've seen similar behaviour to this many times in FC4 (i386) and again now on
FC5. What triggers it seems to be, at least for me, coming back and adding text
into the middke of an already-typed paragraph. It doesn't always happen but I
see this typically once or twice a week. I now run a memory usage tracking
applet in my panel and when evo stops responding and I see the memory usage
start going up, I know it's time to kill evo.
Comment 2 Paul Howarth 2007-01-09 06:18:12 EST
I haven't noticed this behaviour since updating to FC6, but I've swapped this
annoyance for another one: Bug #217567.
Comment 3 Matthew Barnes 2007-01-09 10:27:04 EST
Closing as CURRENTRELEASE based on comment #2.  Feel free to reopen this bug if
you encounter the same problem in Fedora Core 6 or later.

Note You need to log in before you can comment on or make changes to this bug.